<?php
$tdatapro_participante = array();
$tdatapro_participante[".searchableFields"] = array();
$tdatapro_participante[".ShortName"] = "pro_participante";
$tdatapro_participante[".OwnerID"] = "";
$tdatapro_participante[".OriginalTable"] = "pro_participante";


$tdatapro_participante[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatapro_participante[".originalPagesByType"] = $tdatapro_participante[".pagesByType"];
$tdatapro_participante[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatapro_participante[".originalPages"] = $tdatapro_participante[".pages"];
$tdatapro_participante[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatapro_participante[".originalDefaultPages"] = $tdatapro_participante[".defaultPages"];

//	field labels
$fieldLabelspro_participante = array();
$fieldToolTipspro_participante = array();
$pageTitlespro_participante = array();
$placeHolderspro_participante = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelspro_participante["Spanish"] = array();
	$fieldToolTipspro_participante["Spanish"] = array();
	$placeHolderspro_participante["Spanish"] = array();
	$pageTitlespro_participante["Spanish"] = array();
	$fieldLabelspro_participante["Spanish"]["apellido_materno"] = "Apellido Materno";
	$fieldToolTipspro_participante["Spanish"]["apellido_materno"] = "";
	$placeHolderspro_participante["Spanish"]["apellido_materno"] = "";
	$fieldLabelspro_participante["Spanish"]["ci"] = "Ci";
	$fieldToolTipspro_participante["Spanish"]["ci"] = "";
	$placeHolderspro_participante["Spanish"]["ci"] = "";
	$fieldLabelspro_participante["Spanish"]["id"] = "Id";
	$fieldToolTipspro_participante["Spanish"]["id"] = "";
	$placeHolderspro_participante["Spanish"]["id"] = "";
	$fieldLabelspro_participante["Spanish"]["nombres"] = "Nombres";
	$fieldToolTipspro_participante["Spanish"]["nombres"] = "";
	$placeHolderspro_participante["Spanish"]["nombres"] = "";
	$fieldLabelspro_participante["Spanish"]["placa"] = "Placa";
	$fieldToolTipspro_participante["Spanish"]["placa"] = "";
	$placeHolderspro_participante["Spanish"]["placa"] = "";
	$fieldLabelspro_participante["Spanish"]["tipo_vehiculo"] = "Tipo Vehiculo";
	$fieldToolTipspro_participante["Spanish"]["tipo_vehiculo"] = "";
	$placeHolderspro_participante["Spanish"]["tipo_vehiculo"] = "";
	$fieldLabelspro_participante["Spanish"]["id_promocion"] = "Id Promocion";
	$fieldToolTipspro_participante["Spanish"]["id_promocion"] = "";
	$placeHolderspro_participante["Spanish"]["id_promocion"] = "";
	$fieldLabelspro_participante["Spanish"]["apellido_paterno"] = "Apellido Paterno";
	$fieldToolTipspro_participante["Spanish"]["apellido_paterno"] = "";
	$placeHolderspro_participante["Spanish"]["apellido_paterno"] = "";
	$fieldLabelspro_participante["Spanish"]["telefono"] = "Telefono";
	$fieldToolTipspro_participante["Spanish"]["telefono"] = "";
	$placeHolderspro_participante["Spanish"]["telefono"] = "";
	$fieldLabelspro_participante["Spanish"]["procedencia"] = "Procedencia";
	$fieldToolTipspro_participante["Spanish"]["procedencia"] = "";
	$placeHolderspro_participante["Spanish"]["procedencia"] = "";
	$fieldLabelspro_participante["Spanish"]["responsable"] = "Responsable";
	$fieldToolTipspro_participante["Spanish"]["responsable"] = "";
	$placeHolderspro_participante["Spanish"]["responsable"] = "";
	$fieldLabelspro_participante["Spanish"]["fecha_registro"] = "Fecha Registro";
	$fieldToolTipspro_participante["Spanish"]["fecha_registro"] = "";
	$placeHolderspro_participante["Spanish"]["fecha_registro"] = "";
	$fieldLabelspro_participante["Spanish"]["create_date"] = "Create Date";
	$fieldToolTipspro_participante["Spanish"]["create_date"] = "";
	$placeHolderspro_participante["Spanish"]["create_date"] = "";
	$fieldLabelspro_participante["Spanish"]["fecha"] = "Fecha y Hora Inicio promo";
	$fieldToolTipspro_participante["Spanish"]["fecha"] = "";
	$placeHolderspro_participante["Spanish"]["fecha"] = "";
	$fieldLabelspro_participante["Spanish"]["chofer"] = "Chofer";
	$fieldToolTipspro_participante["Spanish"]["chofer"] = "";
	$placeHolderspro_participante["Spanish"]["chofer"] = "";
	$fieldLabelspro_participante["Spanish"]["estado_participante"] = "Estado Participante";
	$fieldToolTipspro_participante["Spanish"]["estado_participante"] = "";
	$placeHolderspro_participante["Spanish"]["estado_participante"] = "";
	$pageTitlespro_participante["Spanish"]["list"] = "Participantes";
	if (count($fieldToolTipspro_participante["Spanish"]))
		$tdatapro_participante[".isUseToolTips"] = true;
}


	$tdatapro_participante[".NCSearch"] = true;



$tdatapro_participante[".shortTableName"] = "pro_participante";
$tdatapro_participante[".nSecOptions"] = 0;

$tdatapro_participante[".mainTableOwnerID"] = "";
$tdatapro_participante[".entityType"] = 0;
$tdatapro_participante[".connId"] = "bsn_dividendos_at_localhost";


$tdatapro_participante[".strOriginalTableName"] = "pro_participante";

	



$tdatapro_participante[".showAddInPopup"] = false;

$tdatapro_participante[".showEditInPopup"] = false;

$tdatapro_participante[".showViewInPopup"] = false;

$tdatapro_participante[".listAjax"] = false;
//	temporary
//$tdatapro_participante[".listAjax"] = false;

	$tdatapro_participante[".audit"] = true;

	$tdatapro_participante[".locking"] = true;


$pages = $tdatapro_participante[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatapro_participante[".edit"] = true;
	$tdatapro_participante[".afterEditAction"] = 0;
	$tdatapro_participante[".closePopupAfterEdit"] = 1;
	$tdatapro_participante[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdatapro_participante[".add"] = true;
$tdatapro_participante[".afterAddAction"] = 0;
$tdatapro_participante[".closePopupAfterAdd"] = 1;
$tdatapro_participante[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdatapro_participante[".list"] = true;
}



$tdatapro_participante[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatapro_participante[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatapro_participante[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatapro_participante[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatapro_participante[".printFriendly"] = true;
}



$tdatapro_participante[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatapro_participante[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatapro_participante[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatapro_participante[".isUseAjaxSuggest"] = true;



																																																																		

$tdatapro_participante[".ajaxCodeSnippetAdded"] = false;

$tdatapro_participante[".buttonsAdded"] = false;

$tdatapro_participante[".addPageEvents"] = true;

// use timepicker for search panel
$tdatapro_participante[".isUseTimeForSearch"] = false;


$tdatapro_participante[".badgeColor"] = "5f9ea0";


$tdatapro_participante[".allSearchFields"] = array();
$tdatapro_participante[".filterFields"] = array();
$tdatapro_participante[".requiredSearchFields"] = array();

$tdatapro_participante[".googleLikeFields"] = array();
$tdatapro_participante[".googleLikeFields"][] = "placa";
$tdatapro_participante[".googleLikeFields"][] = "ci";



$tdatapro_participante[".tableType"] = "list";

$tdatapro_participante[".printerPageOrientation"] = 0;
$tdatapro_participante[".nPrinterPageScale"] = 100;

$tdatapro_participante[".nPrinterSplitRecords"] = 40;

$tdatapro_participante[".geocodingEnabled"] = false;










$tdatapro_participante[".pageSize"] = 30;

$tdatapro_participante[".warnLeavingPages"] = true;



$tstrOrderBy = "ORDER BY pro_participante.estado_participante desc";
$tdatapro_participante[".strOrderBy"] = $tstrOrderBy;

$tdatapro_participante[".orderindexes"] = array();
			$tdatapro_participante[".orderindexes"][] = array(15, (0 ? "ASC" : "DESC"), "pro_participante.estado_participante");


$tdatapro_participante[".sqlHead"] = "SELECT pro_participante.id,  pro_participante.placa,  pro_participante.tipo_vehiculo,  pro_participante.nombres,  pro_participante.apellido_paterno,  pro_participante.apellido_materno,  pro_participante.ci,  CONCAT(pro_participante.apellido_paterno, ' ', pro_participante.apellido_materno, ' ', pro_participante.nombres) AS chofer,  pro_participante.id_promocion,  pro_participante.telefono,  pro_participante.procedencia,  pro_participante.responsable,  pro_participante.fecha_registro,  pro_participante.create_date,  pro_participante.estado_participante,  pro_participante.fecha";
$tdatapro_participante[".sqlFrom"] = "FROM pro_participante  INNER JOIN promocion ON pro_participante.id_promocion = promocion.id_promocion";
$tdatapro_participante[".sqlWhereExpr"] = "(promocion.estado = 1)";
$tdatapro_participante[".sqlTail"] = "";

//fill array of tabs for list page
$arrGridTabs = array();
$arrGridTabs[] = array(
	'tabId' => "",
	'name' => "All data",
	'nameType' => 'Text',
	'where' => "",
	'showRowCount' => 0,
	'hideEmpty' => 0,
);
$tdatapro_participante[".arrGridTabs"] = $arrGridTabs;









//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatapro_participante[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatapro_participante[".arrGroupsPerPage"] = $arrGPP;

$tdatapro_participante[".highlightSearchResults"] = true;

$tableKeyspro_participante = array();
$tableKeyspro_participante[] = "id";
$tdatapro_participante[".Keys"] = $tableKeyspro_participante;


$tdatapro_participante[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("pro_participante","id");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

		$fdata["sourceSingle"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_participante.id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_participante["id"] = $fdata;
		$tdatapro_participante[".searchableFields"][] = "id";
//	placa
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "placa";
	$fdata["GoodName"] = "placa";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("pro_participante","placa");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "placa";

		$fdata["sourceSingle"] = "placa";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_participante.placa";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
			$edata["validateAs"]["basicValidate"][] = "DenyDuplicated";
	$edata["validateAs"]["customMessages"]["DenyDuplicated"] = array("message" => "La %value% ya fue registrada", "messageType" => "Text");

	
//	End validation

	
			
	
		$edata["denyDuplicates"] = true;

	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_participante["placa"] = $fdata;
		$tdatapro_participante[".searchableFields"][] = "placa";
//	tipo_vehiculo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "tipo_vehiculo";
	$fdata["GoodName"] = "tipo_vehiculo";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("pro_participante","tipo_vehiculo");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "tipo_vehiculo";

		$fdata["sourceSingle"] = "tipo_vehiculo";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_participante.tipo_vehiculo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "aux";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_aux";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nombre";

				$edata["LookupWhere"] = "valor like 'TIPO_VEHICULO'";


	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_participante["tipo_vehiculo"] = $fdata;
		$tdatapro_participante[".searchableFields"][] = "tipo_vehiculo";
//	nombres
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "nombres";
	$fdata["GoodName"] = "nombres";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("pro_participante","nombres");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombres";

		$fdata["sourceSingle"] = "nombres";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_participante.nombres";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_participante["nombres"] = $fdata;
		$tdatapro_participante[".searchableFields"][] = "nombres";
//	apellido_paterno
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "apellido_paterno";
	$fdata["GoodName"] = "apellido_paterno";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("pro_participante","apellido_paterno");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "apellido_paterno";

		$fdata["sourceSingle"] = "apellido_paterno";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_participante.apellido_paterno";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_participante["apellido_paterno"] = $fdata;
		$tdatapro_participante[".searchableFields"][] = "apellido_paterno";
//	apellido_materno
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "apellido_materno";
	$fdata["GoodName"] = "apellido_materno";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("pro_participante","apellido_materno");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "apellido_materno";

		$fdata["sourceSingle"] = "apellido_materno";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_participante.apellido_materno";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_participante["apellido_materno"] = $fdata;
		$tdatapro_participante[".searchableFields"][] = "apellido_materno";
//	ci
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "ci";
	$fdata["GoodName"] = "ci";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("pro_participante","ci");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "ci";

		$fdata["sourceSingle"] = "ci";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_participante.ci";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_participante["ci"] = $fdata;
		$tdatapro_participante[".searchableFields"][] = "ci";
//	chofer
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "chofer";
	$fdata["GoodName"] = "chofer";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("pro_participante","chofer");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "chofer";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CONCAT(pro_participante.apellido_paterno, ' ', pro_participante.apellido_materno, ' ', pro_participante.nombres)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_participante["chofer"] = $fdata;
		$tdatapro_participante[".searchableFields"][] = "chofer";
//	id_promocion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "id_promocion";
	$fdata["GoodName"] = "id_promocion";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("pro_participante","id_promocion");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_promocion";

		$fdata["sourceSingle"] = "id_promocion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_participante.id_promocion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "promocion";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_promocion";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "nombre";

				$edata["LookupWhere"] = "estado = 1";


	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_participante["id_promocion"] = $fdata;
		$tdatapro_participante[".searchableFields"][] = "id_promocion";
//	telefono
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "telefono";
	$fdata["GoodName"] = "telefono";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("pro_participante","telefono");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "telefono";

		$fdata["sourceSingle"] = "telefono";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_participante.telefono";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_participante["telefono"] = $fdata;
		$tdatapro_participante[".searchableFields"][] = "telefono";
//	procedencia
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "procedencia";
	$fdata["GoodName"] = "procedencia";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("pro_participante","procedencia");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "procedencia";

		$fdata["sourceSingle"] = "procedencia";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_participante.procedencia";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "aux";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_aux";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "alias";

				$edata["LookupWhere"] = "aux=12";


	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_participante["procedencia"] = $fdata;
		$tdatapro_participante[".searchableFields"][] = "procedencia";
//	responsable
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "responsable";
	$fdata["GoodName"] = "responsable";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("pro_participante","responsable");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "responsable";

		$fdata["sourceSingle"] = "responsable";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_participante.responsable";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "sta_rosa_users";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "ID";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "fullname";

				$edata["LookupWhere"] = "ID = ':session.user_id'";


	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
		$edata["autoUpdatable"] = true;

//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_participante["responsable"] = $fdata;
		$tdatapro_participante[".searchableFields"][] = "responsable";
//	fecha_registro
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "fecha_registro";
	$fdata["GoodName"] = "fecha_registro";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("pro_participante","fecha_registro");
	$fdata["FieldType"] = 135;


	
	
			

		$fdata["strField"] = "fecha_registro";

		$fdata["sourceSingle"] = "fecha_registro";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_participante.fecha_registro";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

		$edata["ShowTime"] = true;

		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
		$edata["autoUpdatable"] = true;

//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_participante["fecha_registro"] = $fdata;
		$tdatapro_participante[".searchableFields"][] = "fecha_registro";
//	create_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "create_date";
	$fdata["GoodName"] = "create_date";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("pro_participante","create_date");
	$fdata["FieldType"] = 135;


	
	
			

		$fdata["strField"] = "create_date";

		$fdata["sourceSingle"] = "create_date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_participante.create_date";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_participante["create_date"] = $fdata;
		$tdatapro_participante[".searchableFields"][] = "create_date";
//	estado_participante
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "estado_participante";
	$fdata["GoodName"] = "estado_participante";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("pro_participante","estado_participante");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "estado_participante";

		$fdata["sourceSingle"] = "estado_participante";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_participante.estado_participante";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Toggle");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Toggle");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_participante["estado_participante"] = $fdata;
		$tdatapro_participante[".searchableFields"][] = "estado_participante";
//	fecha
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "fecha";
	$fdata["GoodName"] = "fecha";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("pro_participante","fecha");
	$fdata["FieldType"] = 135;


	
	
			

		$fdata["strField"] = "fecha";

		$fdata["sourceSingle"] = "fecha";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_participante.fecha";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Datetime");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

		$edata["ShowTime"] = true;

		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_participante["fecha"] = $fdata;
		$tdatapro_participante[".searchableFields"][] = "fecha";


$tables_data["pro_participante"]=&$tdatapro_participante;
$field_labels["pro_participante"] = &$fieldLabelspro_participante;
$fieldToolTips["pro_participante"] = &$fieldToolTipspro_participante;
$placeHolders["pro_participante"] = &$placeHolderspro_participante;
$page_titles["pro_participante"] = &$pageTitlespro_participante;


changeTextControlsToDate( "pro_participante" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["pro_participante"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["pro_participante"] = array();



	
	//if !@t.bReportCrossTab
			$strOriginalDetailsTable="promocion";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="promocion";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "promocion";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["pro_participante"][0] = $masterParams;
				$masterTablesData["pro_participante"][0]["masterKeys"] = array();
	$masterTablesData["pro_participante"][0]["masterKeys"][]="id_promocion";
				$masterTablesData["pro_participante"][0]["detailKeys"] = array();
	$masterTablesData["pro_participante"][0]["detailKeys"][]="id_promocion";
		
	//endif
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_pro_participante()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "pro_participante.id,  pro_participante.placa,  pro_participante.tipo_vehiculo,  pro_participante.nombres,  pro_participante.apellido_paterno,  pro_participante.apellido_materno,  pro_participante.ci,  CONCAT(pro_participante.apellido_paterno, ' ', pro_participante.apellido_materno, ' ', pro_participante.nombres) AS chofer,  pro_participante.id_promocion,  pro_participante.telefono,  pro_participante.procedencia,  pro_participante.responsable,  pro_participante.fecha_registro,  pro_participante.create_date,  pro_participante.estado_participante,  pro_participante.fecha";
$proto0["m_strFrom"] = "FROM pro_participante  INNER JOIN promocion ON pro_participante.id_promocion = promocion.id_promocion";
$proto0["m_strWhere"] = "(promocion.estado = 1)";
$proto0["m_strOrderBy"] = "ORDER BY pro_participante.estado_participante desc";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "promocion.estado = 1";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "estado",
	"m_strTable" => "promocion",
	"m_srcTableName" => "pro_participante"
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "= 1";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "pro_participante",
	"m_srcTableName" => "pro_participante"
));

$proto6["m_sql"] = "pro_participante.id";
$proto6["m_srcTableName"] = "pro_participante";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "placa",
	"m_strTable" => "pro_participante",
	"m_srcTableName" => "pro_participante"
));

$proto8["m_sql"] = "pro_participante.placa";
$proto8["m_srcTableName"] = "pro_participante";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "tipo_vehiculo",
	"m_strTable" => "pro_participante",
	"m_srcTableName" => "pro_participante"
));

$proto10["m_sql"] = "pro_participante.tipo_vehiculo";
$proto10["m_srcTableName"] = "pro_participante";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "nombres",
	"m_strTable" => "pro_participante",
	"m_srcTableName" => "pro_participante"
));

$proto12["m_sql"] = "pro_participante.nombres";
$proto12["m_srcTableName"] = "pro_participante";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "apellido_paterno",
	"m_strTable" => "pro_participante",
	"m_srcTableName" => "pro_participante"
));

$proto14["m_sql"] = "pro_participante.apellido_paterno";
$proto14["m_srcTableName"] = "pro_participante";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "apellido_materno",
	"m_strTable" => "pro_participante",
	"m_srcTableName" => "pro_participante"
));

$proto16["m_sql"] = "pro_participante.apellido_materno";
$proto16["m_srcTableName"] = "pro_participante";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "ci",
	"m_strTable" => "pro_participante",
	"m_srcTableName" => "pro_participante"
));

$proto18["m_sql"] = "pro_participante.ci";
$proto18["m_srcTableName"] = "pro_participante";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$proto21=array();
$proto21["m_functiontype"] = "SQLF_CUSTOM";
$proto21["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "pro_participante.apellido_paterno"
));

$proto21["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "' '"
));

$proto21["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "pro_participante.apellido_materno"
));

$proto21["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "' '"
));

$proto21["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "pro_participante.nombres"
));

$proto21["m_arguments"][]=$obj;
$proto21["m_strFunctionName"] = "CONCAT";
$obj = new SQLFunctionCall($proto21);

$proto20["m_sql"] = "CONCAT(pro_participante.apellido_paterno, ' ', pro_participante.apellido_materno, ' ', pro_participante.nombres)";
$proto20["m_srcTableName"] = "pro_participante";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "chofer";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto27=array();
			$obj = new SQLField(array(
	"m_strName" => "id_promocion",
	"m_strTable" => "pro_participante",
	"m_srcTableName" => "pro_participante"
));

$proto27["m_sql"] = "pro_participante.id_promocion";
$proto27["m_srcTableName"] = "pro_participante";
$proto27["m_expr"]=$obj;
$proto27["m_alias"] = "";
$obj = new SQLFieldListItem($proto27);

$proto0["m_fieldlist"][]=$obj;
						$proto29=array();
			$obj = new SQLField(array(
	"m_strName" => "telefono",
	"m_strTable" => "pro_participante",
	"m_srcTableName" => "pro_participante"
));

$proto29["m_sql"] = "pro_participante.telefono";
$proto29["m_srcTableName"] = "pro_participante";
$proto29["m_expr"]=$obj;
$proto29["m_alias"] = "";
$obj = new SQLFieldListItem($proto29);

$proto0["m_fieldlist"][]=$obj;
						$proto31=array();
			$obj = new SQLField(array(
	"m_strName" => "procedencia",
	"m_strTable" => "pro_participante",
	"m_srcTableName" => "pro_participante"
));

$proto31["m_sql"] = "pro_participante.procedencia";
$proto31["m_srcTableName"] = "pro_participante";
$proto31["m_expr"]=$obj;
$proto31["m_alias"] = "";
$obj = new SQLFieldListItem($proto31);

$proto0["m_fieldlist"][]=$obj;
						$proto33=array();
			$obj = new SQLField(array(
	"m_strName" => "responsable",
	"m_strTable" => "pro_participante",
	"m_srcTableName" => "pro_participante"
));

$proto33["m_sql"] = "pro_participante.responsable";
$proto33["m_srcTableName"] = "pro_participante";
$proto33["m_expr"]=$obj;
$proto33["m_alias"] = "";
$obj = new SQLFieldListItem($proto33);

$proto0["m_fieldlist"][]=$obj;
						$proto35=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_registro",
	"m_strTable" => "pro_participante",
	"m_srcTableName" => "pro_participante"
));

$proto35["m_sql"] = "pro_participante.fecha_registro";
$proto35["m_srcTableName"] = "pro_participante";
$proto35["m_expr"]=$obj;
$proto35["m_alias"] = "";
$obj = new SQLFieldListItem($proto35);

$proto0["m_fieldlist"][]=$obj;
						$proto37=array();
			$obj = new SQLField(array(
	"m_strName" => "create_date",
	"m_strTable" => "pro_participante",
	"m_srcTableName" => "pro_participante"
));

$proto37["m_sql"] = "pro_participante.create_date";
$proto37["m_srcTableName"] = "pro_participante";
$proto37["m_expr"]=$obj;
$proto37["m_alias"] = "";
$obj = new SQLFieldListItem($proto37);

$proto0["m_fieldlist"][]=$obj;
						$proto39=array();
			$obj = new SQLField(array(
	"m_strName" => "estado_participante",
	"m_strTable" => "pro_participante",
	"m_srcTableName" => "pro_participante"
));

$proto39["m_sql"] = "pro_participante.estado_participante";
$proto39["m_srcTableName"] = "pro_participante";
$proto39["m_expr"]=$obj;
$proto39["m_alias"] = "";
$obj = new SQLFieldListItem($proto39);

$proto0["m_fieldlist"][]=$obj;
						$proto41=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha",
	"m_strTable" => "pro_participante",
	"m_srcTableName" => "pro_participante"
));

$proto41["m_sql"] = "pro_participante.fecha";
$proto41["m_srcTableName"] = "pro_participante";
$proto41["m_expr"]=$obj;
$proto41["m_alias"] = "";
$obj = new SQLFieldListItem($proto41);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto43=array();
$proto43["m_link"] = "SQLL_MAIN";
			$proto44=array();
$proto44["m_strName"] = "pro_participante";
$proto44["m_srcTableName"] = "pro_participante";
$proto44["m_columns"] = array();
$proto44["m_columns"][] = "apellido_materno";
$proto44["m_columns"][] = "apellido_paterno";
$proto44["m_columns"][] = "ci";
$proto44["m_columns"][] = "create_date";
$proto44["m_columns"][] = "estado_participante";
$proto44["m_columns"][] = "fecha";
$proto44["m_columns"][] = "fecha_registro";
$proto44["m_columns"][] = "id";
$proto44["m_columns"][] = "id_promocion";
$proto44["m_columns"][] = "nombres";
$proto44["m_columns"][] = "placa";
$proto44["m_columns"][] = "procedencia";
$proto44["m_columns"][] = "responsable";
$proto44["m_columns"][] = "telefono";
$proto44["m_columns"][] = "tipo_vehiculo";
$obj = new SQLTable($proto44);

$proto43["m_table"] = $obj;
$proto43["m_sql"] = "pro_participante";
$proto43["m_alias"] = "";
$proto43["m_srcTableName"] = "pro_participante";
$proto45=array();
$proto45["m_sql"] = "";
$proto45["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto45["m_column"]=$obj;
$proto45["m_contained"] = array();
$proto45["m_strCase"] = "";
$proto45["m_havingmode"] = false;
$proto45["m_inBrackets"] = false;
$proto45["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto45);

$proto43["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto43);

$proto0["m_fromlist"][]=$obj;
												$proto47=array();
$proto47["m_link"] = "SQLL_INNERJOIN";
			$proto48=array();
$proto48["m_strName"] = "promocion";
$proto48["m_srcTableName"] = "pro_participante";
$proto48["m_columns"] = array();
$proto48["m_columns"][] = "codigo_aj";
$proto48["m_columns"][] = "descripcion";
$proto48["m_columns"][] = "estado";
$proto48["m_columns"][] = "fecha_fin";
$proto48["m_columns"][] = "fecha_inicial";
$proto48["m_columns"][] = "id_promocion";
$proto48["m_columns"][] = "max_recarga";
$proto48["m_columns"][] = "nombre";
$obj = new SQLTable($proto48);

$proto47["m_table"] = $obj;
$proto47["m_sql"] = "INNER JOIN promocion ON pro_participante.id_promocion = promocion.id_promocion";
$proto47["m_alias"] = "";
$proto47["m_srcTableName"] = "pro_participante";
$proto49=array();
$proto49["m_sql"] = "promocion.id_promocion = pro_participante.id_promocion";
$proto49["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "id_promocion",
	"m_strTable" => "promocion",
	"m_srcTableName" => "pro_participante"
));

$proto49["m_column"]=$obj;
$proto49["m_contained"] = array();
$proto49["m_strCase"] = "= pro_participante.id_promocion";
$proto49["m_havingmode"] = false;
$proto49["m_inBrackets"] = false;
$proto49["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto49);

$proto47["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto47);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto51=array();
						$obj = new SQLField(array(
	"m_strName" => "estado_participante",
	"m_strTable" => "pro_participante",
	"m_srcTableName" => "pro_participante"
));

$proto51["m_column"]=$obj;
$proto51["m_bAsc"] = 0;
$proto51["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto51);

$proto0["m_orderby"][]=$obj;					
$proto0["m_srcTableName"]="pro_participante";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_pro_participante = createSqlQuery_pro_participante();


	
		;

																

$tdatapro_participante[".sqlquery"] = $queryData_pro_participante;



include_once(getabspath("include/pro_participante_events.php"));
$tdatapro_participante[".hasEvents"] = true;

?>